commit: 12aa2949a37ef50928aaa7c06b2e376a09626878
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 30 03:18:34 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug 30 03:18:34 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12aa2949
dev-python/setuptools-rust: Bump to 1.12.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/setuptools-rust/Manifest | 6 +
.../setuptools-rust/setuptools-rust-1.12.0.ebuild | 178 +++++++++++++++++++++
2 files changed, 184 insertions(+)
diff --git a/dev-python/setuptools-rust/Manifest
b/dev-python/setuptools-rust/Manifest
index 0345b789e70a..0c87ece07f91 100644
--- a/dev-python/setuptools-rust/Manifest
+++ b/dev-python/setuptools-rust/Manifest
@@ -43,10 +43,15 @@ DIST precomputed-hash-0.1.1.crate 1640 BLAKE2B
64a37ef3edd317f771e833bb394f7c19b
DIST proc-macro-hack-0.5.20+deprecated.crate 15045 BLAKE2B
fb7b9fa57ad64f2920e801482bfccc762bb7b2c8c1db7da32f393c7b47414fab37234c8a408a4ca9d7072a541df22b07775fc509f76f352fb6be9fe822f84dfd
SHA512
278e786f8e0c93e346de900666b3d55d366324167a2e5e553565870c4444bfe661cf8c151a29cbd3176a4905ec49d69cffb81ae1e4a129f30404f930972c4b43
DIST proc-macro2-1.0.82.crate 48452 BLAKE2B
c01f60b788c1395d1041d7eb55fe9519ae4e78f86e3dfa732458747767ff801fcdd5a19a81ee9a8d8cd2457eb0a2bb7cec118299a5a9a64d65b5cf06b9d81165
SHA512
3726463868483243adce01c319c1deb1ab153188f1adcb083b53bff838fa80371091bb8e20ce88709ea850ab3ef74dcd99ca5aa95fa375b330841fd4230c842d
DIST pyo3-0.24.1.crate 1113050 BLAKE2B
5a203f8c845b08b40ed64561d385d2e4134a38916723ef6b0b4be8f44fa9de594c4eca138c318ad83a156f66273b20b55acb19897dca3eba5d479e6333be815e
SHA512
6c2a8f9d554a3cf151a796ee20610b596ebdbf9e642d6b2ddc35d0142841d7be51e739ddef4332cfa8c4625c972d9705eae5f694b4d8907882bec4add7c6c6ed
+DIST pyo3-0.25.1.crate 1121993 BLAKE2B
79a982131fc4c4f9292e97bc8d938d236ee9cefb99bb90646a84703660ad506aee8ae1f1e626d985aa62c695722510f2697544581fa5c3a01f193be2bc2779fe
SHA512
9c842c89d274dba0c8a3085a8524736245d65f07e5c05bc13fc89167cfdeb1a4ff2b4a9da9467eee918e45d01777473f39bda11efe0052859969d4fdeac1adc6
DIST pyo3-build-config-0.24.1.crate 34020 BLAKE2B
34ed5a2385de138fde0308439c5fcd8a92a48b215b41799838d5b3106b0845f70023ccd97d60c39cea4729cd8bd850e1ef4e372ac332a06037dc5dd574b09834
SHA512
6008f6737685882b2fd958fcc5f171c0ddc10520631904ca759f857117241dc0a648d4cf30d9a84483662bfbc435eccc3deed9981f98b88016b12a5944ae3ff7
+DIST pyo3-build-config-0.25.1.crate 34126 BLAKE2B
ca905f1f74e26f38ab63a4f5754055c9dff01f9396f81ece09b7ce067181b657e6746db3b373f7177805f6564d0df0db064b5fcab8160d5edc357e64dd32d0fc
SHA512
d6fe4a46111188203a839c8c73b9835f98cd6bc5982868cbcc9f502c5a09b35c3e61117b50ef8372470051b5bc4959731907748ffca89f42f300a3081b7b0467
DIST pyo3-ffi-0.24.1.crate 76435 BLAKE2B
1fc7b122f0c1064382bf304491617abfd5a8f275ab7511cf31ed892576728b7b55814ea454761bb0fb4d01e263daf8f2c302504fc624970fc9940a5a2cb143fe
SHA512
b06265f3852f419a2a788fef049cf9032a5dd4fa6ca818d8d5ceae24b3642164497c61e67492a6576f1c8b22d66e2d887b295c48317fee94f8db8e14de25a71e
+DIST pyo3-ffi-0.25.1.crate 78058 BLAKE2B
351fe00c99008a34a003e50cd4f6d25e6dae5a446928358cd5146ac9924254614724a015ae77d8aade7bcb497cf5e5b5018021ff5d89a8efa6412f5ccb48744e
SHA512
35ab63888f49df13fab8b96b87f6c705186173923fd5898abe8730675156426f020ee517019926ba5e06cdb4fc5f91a75f648ce9eba892e9eaf3ee17864a8ec7
DIST pyo3-macros-0.24.1.crate 8866 BLAKE2B
48436f5f1a6a6e93d916873be5e18cfdc892d59479e4963f267d2a1805bd134eed6890d53915fdafa8ff93c7458d136b57fbf783bee18f34a6087f7819c9dd92
SHA512
7b9fc55232284d7b138e3e9c9a9c864a1b0d9b5317c3263a057df5dc1976087e934558d6c046d784735e063f1009df35b91776c850ad709800ca8b2be8e993d8
+DIST pyo3-macros-0.25.1.crate 8886 BLAKE2B
aad9c975c90ff93429be24287d76edd945578b546a927f54d82b6d4bf184f1f8d426ac112307205346e85999a1e89b097f68310de647f27474790bff01c3517a
SHA512
08387f3d1ddb0cc253eed376e6e8ebe5722b31664ec742f16c0454b52f1fbcadbe7720ae9e2d3870fe0ca2690916cf6e3e032f5a3e65d767322c068432f6d470
DIST pyo3-macros-backend-0.24.1.crate 72588 BLAKE2B
35f1810f5d1da5b5f0b5533d0c9e832ea7c7a7a5be20711d9694b84aad62d13b8a9a1c498c61a9a1f2679fda7d25bf508536d38cded43520ed97524681dcfabe
SHA512
8378154aa74c75a4d4533de673515298d8ada8377feb687694688bcf21fc5c2bcf856c2db7ce172cb038936b407e57a665ad6c3b9ce1a499a474e54c6bf119ff
+DIST pyo3-macros-backend-0.25.1.crate 76006 BLAKE2B
02225f8591585a6cbea7d6e53503bfbac395253cb0f45c588a2eb38908bf241034412832f2fcf4e9301318b5b9b82a888755d970f544f402a4f0cf9e4a6eefe9
SHA512
4c9006424630ab9bcd5dcdd45fe927a95a40a61757f0950396eb9f0c3f1794772092a19773c102220489cc621ad65d81dbbe459a1be472f6cd3211c50ef33cc2
DIST quote-1.0.36.crate 28507 BLAKE2B
b93495163ed205e33543ed45f084870240d479071d643704b6e348fb9ada6e1d8401893c13348b9964f4b6b17ddb96cb5458eec540f0d761655fcb96a4cd9129
SHA512
f1f002a912692f7ffd4912ca980ec57ff4aca3a7d9e2e42e9e3409e2105c9f59d86c05719f6af309bccaef2f8843b0848a6e3afda3356e045d8e7cc5956ae685
DIST rand-0.7.3.crate 112246 BLAKE2B
ecc7c1bd70ac874c03bd8b7faa3016bb2d5ee5c19603280a12a45a81598f706e445971ee081e6ca410ab6f0f5f7a06d9315848cd556a2d8522a82024f6ff91e4
SHA512
f9b68ef9446f1ca2c8092c50990f15c1b4cb5529eeeac4df8d69755e0b7253c663c587775e7cb0a7298c31edb444975dda34926759306541f6d43d0d3cf57b7e
DIST rand-0.8.5.crate 87113 BLAKE2B
516f26bb2a969d0d79e957818133f35d2c0b4d9f1b401098ea23c5b80d27599e842b9298c0c5e46e2a6cb6953857bf8a9fb71ec9366c5ce6708cf17df14f179c
SHA512
8b33a8988906ba5e2057a9a84bdd11f867a5536c22f5056eec59ed4ec4e3a6da2fd773da4c0510d343762e5a4ea0f007db4c4a7cef87a47f90e36c1a84d86fb2
@@ -65,6 +70,7 @@ DIST serde-1.0.200.crate 77611 BLAKE2B
57f4a76cf534ffda009a5441e694b0ac87b30e470
DIST serde_derive-1.0.200.crate 55785 BLAKE2B
45eca5504aff6bd099a42dfc794cf732c7e76e5ed362d16082ac069d29e1e6c22bb3e13dede4bc498df8f008bdba15479de618380f37c9742a34d97c9ca12efe
SHA512
e70f0e092d81542a96b33610da8ddbf04023d8ecc1fa4a4f31978699c118f096e8534f9e3e4e479ee74280efb86d752dd1fce038ef2def329fdcc10c1aa50942
DIST servo_arc-0.1.1.crate 9817 BLAKE2B
88586ca0c969df8bfb3a04ba4a689606995876434877a2cd48a72b26451deb6fdcf65273aa9b03948adcbc66b2450301840910e5c4162b993535d69585c62128
SHA512
59d531dcf7a9191b8462ce395e713194994714b65275c0af412186f862be169d0c6fc5d86603332a1aacd8af9ace934dc78531b9cb576cf8179ec35709225447
DIST setuptools-rust-1.11.1.gh.tar.gz 305306 BLAKE2B
ffeead1cb92290dd7ab2cd5a92e07144f23ba10a05b7690a25f53a0bae4bde3ed6472a821efd976a41ab42d36bda37e7fd8f54eccb22944b6c22227fd94cc9c1
SHA512
2234454cb215e66135bdb737b007d74005f3d377d7912953506e3ed631f0a382bde392ea2e357619f644f14c0c3ddab7d9696fb11d8e62d78efba9cf3a5327c3
+DIST setuptools-rust-1.12.0.gh.tar.gz 305563 BLAKE2B
8565385eeaa081b72b384406beed3fd5ac28cfb03b5a3732630c8fdac0be3b59d7c22d25ff3f13d08a5790af277f933759354b60a1f55336a5f8a7c7ecef3616
SHA512
59c3a32fcb6a306c57b9c43c75c1abef96c2865546083279d0b363115ff2eb493d8d6dba226a26f97c976aa4b5db3b69378cd32ab76a4c59959ed0a26cc980e6
DIST siphasher-0.3.11.crate 10442 BLAKE2B
771221614bbd56f609b9743da4352dc7a2cbd0f6257952fab0cd052e5e5b258a4c95a0461d6d1b579dec90b72d66a0e58e036899b3db8341ae753a421a4cd4d5
SHA512
601121bd41da896142dc6ccc74a6eec3ebee3e976857ab8b5d21e915fdc8bc6e979af66a489c406371fbbbfc7a13338cc4b3744aa981206e43c53998f3e1699b
DIST smallvec-1.13.2.crate 35216 BLAKE2B
31a268aad595c06cdb078577a97b089dbea156a0df307a3e6aaaf4861bd9a680c5b11921da9dbdb1bcfe17d58c0cbede1ffe6bba3aef59b384fb1b9703c62d27
SHA512
a97c758b668e40ad9eb572e65feeae4954e09200a04ab92e26a13b48894381cd3a3d2571070c4b7a5e181182e1ede9688f990650342ec69ecfe1a264d234c679
DIST stable_deref_trait-1.2.0.crate 8054 BLAKE2B
287a65c3e5b47213544a43e57c60a54add60b4c2e3c8d042407d860cc950ba7ca01a2e67ce56aed6744992b61ec1f9aed3321e3d88482e33129548b7d51df205
SHA512
a13cfb22723f1f2cf089b2d07d657846f50c37bc0438d1a76096bea30214cad226b7a422c21f9e191ce87071da8a141d61882aedf9e0203a5fffdfda86a5fb03
diff --git a/dev-python/setuptools-rust/setuptools-rust-1.12.0.ebuild
b/dev-python/setuptools-rust/setuptools-rust-1.12.0.ebuild
new file mode 100644
index 000000000000..e43876be7952
--- /dev/null
+++ b/dev-python/setuptools-rust/setuptools-rust-1.12.0.ebuild
@@ -0,0 +1,178 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CARGO_OPTIONAL=yes
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..14} pypy3_11 )
+
+CRATES="
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]+deprecated
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]+wasi-snapshot-preview1
+ [email protected]+wasi-snapshot-preview1
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+ [email protected]
+"
+
+inherit distutils-r1 cargo
+
+DESCRIPTION="A plugin for setuptools to build Rust Python extensions"
+HOMEPAGE="
+ https://github.com/PyO3/setuptools-rust/
+ https://pypi.org/project/setuptools-rust/
+"
+SRC_URI="
+ https://github.com/PyO3/setuptools-rust/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ ${CARGO_CRATE_URIS}
+ )
+"
+
+# crates are used at test time only, update via pycargoebuild -L -i ...
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ ${RUST_DEPEND}
+ <dev-python/semantic-version-3[${PYTHON_USEDEP}]
+ >=dev-python/semantic-version-2.8.2[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-62.4[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools-62.4[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/cffi[${PYTHON_USEDEP}]
+ ' 'python*')
+ dev-python/lxml[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+
+export PYO3_USE_ABI3_FORWARD_COMPATIBILITY=1
+
+src_unpack() {
+ cargo_src_unpack
+}
+
+python_test() {
+ local examples=(
+ html-py-ever
+ namespace_package
+ rust_with_cffi
+ )
+ for example_dir in ${examples[@]}; do
+ pushd examples/${example_dir} >/dev/null || die
+ einfo "Running ${example_dir} test"
+ esetup.py build --build-lib=build/lib
+
+ case ${example_dir} in
+ html-py-ever)
+ pushd tests >/dev/null || die
+ local -x PYTHONPATH=../build/lib
+ ${EPYTHON} run_all.py || die "Tests failed with
${EPYTHON}"
+ popd >/dev/null || die
+ ;;
+ *)
+ pushd build/lib >/dev/null || die
+ epytest ../../tests
+ popd >/dev/null || die
+ ;;
+ esac
+
+ rm -rf build || die
+ popd >/dev/null || die
+ done
+}